#include "mainwidget.h"
#include "global.h"

#include <QApplication>
#include <QFile>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);


    Global::Instance()->setRootDirPath(qApp->applicationDirPath());
    QFile styleFile(":/image/material.css");
    if(styleFile.open(QIODevice::ReadOnly))
    {
        QString strStyle = styleFile.readAll();
        qApp->setStyleSheet(strStyle);
        styleFile.close();
    }

    MainWidget w;
    w.show();

    return a.exec();
}
